Skip to main content
Weavr API
Setup

List users

GET/users

Fetches all users associated with the corporate or consumer identity the logged-in user belongs to.

Request

Query parameters

Responses

200OK

Success

Headers
Body
application/json
{}
objectobject · 3 fields
Response example
{  "users": [    {      "id": "string",      "identity": {        "type": "CONSUMER",        "id": "123456789"      },      "name": "string",      "surname": "string",      "email": "[email protected]",      "mobile": {        "countryCode": "+44",        "number": "7700900123"      },      "active": true,      "dateOfBirth": {        "year": 1990,        "month": 1,        "day": 1      },      "tag": "customer-123",      "countryOfResidence": "string",      "locale": "en-GB",      "brand": "string",      "roles": [        "CARD_ASSIGNEE"      ]    }  ],  "count": 0,  "responseCount": 0}